Subject: git-upload-pack: the timeout gets corrupted?!

From: "H. Peter Anvin" <[email-masked]>
Date: Sat, 10 Mar 2007 17:45:28 -0800

git-1.5.0.3-1.i386 rpm from Junio's repository on kernel.org:

Since we got the new git server on kernel.org, we are having a problem 
with git-upload-pack processes getting reparented to init, and then 
sitting there forever.  Going in with gdb, it appears the "timeout" 
variable gets overwritten:

(gdb) p timeout
$1 = 608471321

... which should have been 600.

The process spends effectively forever waiting in on the fflush() in 
show_commit() (in upload-pack.c); /proc/*/fd shows it is trying to write 
to a pipe, but I'm not sure what is at the other end of that same pipe.

	-hpa